%prvocislo
prv = 0;
    while prv ~= 1
      p = floor((100-51+1)*rand+51); 
      prv = isprime(p);  
    end

%generator
prv = 0;
    while prv ~= 1
      g = floor((50-10+1)*rand+10); 
      prv = isprime(g);  
    end    
prvocislo = [1 p];
generator = [1 g];

%acka    
    a1 = floor(((5)-1+1)*rand+1);
    a_elektromer1 = [1 a1];
    
    a2 = floor(((5)-1+1)*rand+1);
    a_elektromer2 = [1 a2];
    
    a3 = floor(((5)-1+1)*rand+1);
    a_elektromer3 = [1 a3];

%becka
    b1 = floor(((5)-1+1)*rand+1);
    b_elektromer1 = [1 b1];
    
    b2 = floor(((5)-1+1)*rand+1);
    b_elektromer2 = [1 b2];
    
    b3 = floor(((5)-1+1)*rand+1);
    b_elektromer3 = [1 b3];
    
%generovani spotreby
    %elektromer1
    sp1 = floor((127-1+1)*rand+1);
    spotreba1 = [1 sp1];
   
    %elektromer2
    sp2 = floor((127-1+1)*rand+1);
    spotreba2 = [1 sp2];

    %elektromer3
    sp3 = floor((127-1+1)*rand+1);
    spotreba3 = [1 sp3];
    

